Create a collection link

This endpoint allows you to create a collection link to share it with anybody.

Body Params

Attributes to create a collection link

string
required

Indicates the format for resource's ID

amount
object
required

Money schema

string
enum
required
Defaults to free

Sets the collection link validations of the amount field. Two validations will always be present in the checkout form amount field:

  1. The amount must be greater than zero.
  2. The amount must be within the limits allowed by Mono.

The field "amount_validation" is an additional validation configured to be applied to the checkout form's amount field.

  • fixed: No validation will be applied to the amount field in the checkout form, and the user will not be able to enter an amount. The checkout form's amount field will contain the configured amount (the amount is fixed).
  • free: No validation will be applied, and the user can enter any amount in the checkout form.
  • can_be_less: The amount entered by the user can be less than or equal to the configured amount.
  • can_be_greater: The amount entered by the user can be greater than or equal to the configured amount.
Allowed:
date-time | null

Sets an expiration date and time for the collection link. If a user attempts to enter an expired link, a message will be displayed informing them that the link has expired.

string | null

Associates the collection link with an external register. For example, this field may contain identifiers of entities that could be used in some external system.

payer
object

Sets the payer data, which will be preloaded into the checkout form. This payer data can be optional

boolean | null

Sets the preference for whether this collection link should use realtime transfers. Will only be true if the system allows it.

string | null

Sets a URL on the redirect button on the payment receipt after payment is made. The URL contains three parameters from the query string:

  1. id: this contains the same value as the field "external_id"
  2. clink_id: this is the collection link ID
  3. intent_id: this is the collection intent ID or the payment ID
reference
object

Sets the reference field in the checkout form. When there is no reference, and it is configured not to be editable, the checkout form reference field will not be visible.

string
enum
required

Sets the collection link type. There are two types of collection links:

  1. single_use: As the name suggests, this type of collection link can only be used once. When a successful payment is made, the link will be disabled. The collection link will display a message if a user tries to access it again after the payment has been made.
  2. multi_use: As the name suggests, this type of collection link can be used multiple times
Allowed:
Headers
uuid

Idempotency key in UUID v4 format

Responses

Callback
Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json